Package com.orbbec.obsensor

## Class StreamProfile

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.StreamProfile

All Implemented Interfaces:
  `java.lang.AutoCloseable`

Direct Known Subclasses:
  `AccelStreamProfile`, `GyroStreamProfile`, `VideoStreamProfile`

    public class StreamProfile
    extends LobClass

Data stream configuration base class

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T extends StreamProfile> T` `as​(StreamType streamType)` Type conversion of data stream configuration
`void` `close()` resources release
`Format` `getFormat()` Get data stream format
`StreamType` `getType()` Get data stream type

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### as

    public <T extends StreamProfile> T as​(StreamType streamType)

Type conversion of data stream configuration

Type Parameters:
  `T` - Subclass of streamProfile
Parameters:
  `streamType` - data flow configuration type to be converted
Returns:
  the stream profile after converted.

#### getFormat

    public Format getFormat()

Get data stream format

Returns:
  stream format

#### getType

    public StreamType getType()

Get data stream type

Returns:
  stream type

#### close

    public void close()

resources release